Subject: Atlas quick change help

From: [email-masked] (Dave Williams)
Date: 10 Apr 94 15:11:00 GMT

-> I have obtained an Atlas quick change gear box for the 10" Atlas
-> which I'll be using on my lathe.  Unfortunately, it is missing one of
-> the banjos with its gears as well as the thread pitch information
-> usually attached to the front of the gear box.

 The thread pitch plate is duplicated in the owner's manual.  E-mail me
your snail address and I'll photocopy that page and send it to you.

 You can get new manuals and replacement parts from Clausing.